<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// @codingStandardsIgnoreFile
$objectManager = \Magento\Framework\App\ObjectManager::getInstance();
 $storeManager = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
   $baseurl = $storeManager->getStore()->getBaseUrl();

?>
<?php
    //$objectManager =  \Magento\Framework\App\ObjectManager::getInstance();        
    //$storeManager  = $objectManager->get('\Magento\Store\Model\StoreManagerInterface');
    $storeID       = $storeManager->getStore()->getStoreId(); 
    $storeName     = $storeManager->getStore()->getName();
?>

<?php
$telephone="";
    $customerSession = $objectManager->get('Magento\Customer\Model\Session');
    if($customerSession->isLoggedIn()) {
            $telephone= $customerSession->getCustomer()->getMobilenumber(); // get Email
    }
?>
<input type="hidden" id="telephone1" value="<?php echo $telephone; ?>"name="telephone1">
<input type="hidden" id="baseurl" value="<?php echo $baseurl; ?>"name="baseurl">
<div id="checkout" data-bind="scope:'checkout'" class="checkout-container">
    <div id="checkout-loader" data-role="checkout-loader" class="loading-mask" data-mage-init='{"checkoutLoader": {}}'>
        <div class="loader"></div>
    </div>
    <!-- ko template: getTemplate() --><!-- /ko -->
    <script type="text/x-magento-init">
        {
            "#checkout": {
                "Magento_Ui/js/core/app": <?= /* @escapeNotVerified */ $block->getJsLayout() ?>
            }
        }
    </script>
    <script>
        window.checkoutConfig = <?= /* @escapeNotVerified */ $block->getSerializedCheckoutConfig() ?>;
        // Create aliases for customer.js model from customer module
        window.isCustomerLoggedIn = window.checkoutConfig.isCustomerLoggedIn;
        window.customerData = window.checkoutConfig.customerData;
    </script>
    <script>
        require([
            'mage/url',
            'Magento_Ui/js/block-loader'
        ], function(url, blockLoader) {
            blockLoader("#");
            return url.setBaseUrl('<?= /* @escapeNotVerified */ $block->getBaseUrl() ?>');
        })
    </script>
 <script type="text/javascript">

        require(['jquery'],function(jQuery){
          jQuery(document).ready(function () {
            jQuery(document).ajaxComplete(function () {
              if(jQuery(".step-title").find("changecart")){
               
              }else{
                jQuery(".step-title").next().hide();
                jQuery(".step-title").next().next().hide();
                jQuery(".opc-block-summary").show();
                jQuery("#checkout-step-shipping").show();
                jQuery('div[name="customCheckoutForm.city_id"]').insertAfter('div[name="shippingAddress.region_id"]');
              };
              
              jQuery(".payment-method").show();
              jQuery("#offered_item").appendTo(jQuery("#payment").parent());
              jQuery("#offered_item").show();
              jQuery('div[name="shippingAddress.postcode"]').hide();
              jQuery('input#s_method_freeshipping_freeshipping').trigger('click');
              if(jQuery('input#billing-address-same-as-shipping').prop("checked") == true){
              }else{
                jQuery('input#billing-address-same-as-shipping').trigger('click');
              }

              jQuery('#take-back-box').change(function(){
                if(jQuery(this).is(":checked")) {
                  jQuery('#comments').val('Take back Barakat Boxes from previous order');
                } else {
                  jQuery('#comments').val('');
                }
              });
              jQuery("input[name='street[0]']").attr("placeholder", "Building/Villa No.");
              jQuery("input[name='street[1]']").attr("placeholder", "Apartment/Villa No.");
              jQuery("input[name='street[2]']").attr("placeholder", "Street Name");



            });
          });
        });

    </script>
     <script type="text/javascript">
        require(['jquery'], function (jQuery) {
            jQuery(window).load(function() {
            	function addchange(){
                jQuery("#block-discount-heading").click(function(){
                	jQuery("#promoonchekout").slideToggle()
                });
                jQuery("#shipping").find( ".step-title:first" ).append('<button style="display:none;" class="changecart" id="idchange1">Change</button>');

                jQuery("#opc-shipping_method").find( ".step-title:first" ).append('<button style="display:none;" class="changecart"  id="idchange2">Change</button>');

                jQuery("#payment").find( ".step-title:first" ).append('<button style="display:none;" class="changecart"  id="idchange3">Change</button>');

                jQuery("#checkout-step-shipping_method").append('<button class="nextfordiv" id="shippingnext">Next</button>');

                jQuery("#checkout-step-payment").append('<button class="nextfordiv" id="paymentnext">Next</button>');

                jQuery("#idchange1").click(function(){
            			jQuery(".step-title").next().hide();
            			jQuery(".step-title").next().next().hide();
            			jQuery(".opc-block-summary").show();
            			jQuery("#checkout-step-shipping").show();
            			jQuery("#idchange2").hide();

            		});
            		jQuery("#idchange2").click(function(){
            			jQuery(".step-title").next().hide();
            			jQuery(".step-title").next().next().hide();
            			jQuery(".opc-block-summary").show();
            			jQuery("#checkout-step-shipping_method").show();
                  jQuery("#idchange3").hide();

            		});
                jQuery("#idchange3").click(function(){
                  jQuery(".step-title").next().hide();
                  jQuery(".step-title").next().next().hide();
                  jQuery(".opc-block-summary").show();
                  jQuery("#checkout-step-payment").show();
                  jQuery("#offered_item").click();

                });
            	}
            	function accordium(){
                jQuery("#promoonchekout").insertAfter('.payment-option-content');
            		jQuery(".step-title").next().hide();
            		jQuery(".step-title").next().next().hide();
            		jQuery(".opc-block-summary").show();
            		jQuery("#checkout-step-shipping").show();
                    //jQuery( ".step-title" ).switchClass( "step-title", "step-title-new");
            		
                 jQuery("#place-next").click(function(){
                  var next="1";
                  if (jQuery(".shipping-address-item")[0]){
                  } else {
                    var fields = jQuery("#co-shipping-form").serializeArray();
                  jQuery.each(fields, function(i, field) {
                    jQuery('[name="'+ field.name +'"]').css({"border-style":"none"});
                    if (!field.value) { 
                       
                      if (field.name == "firstname" || field.name == "lastname" || field.name == "telephone" || field.name == "region_id" || field.name == "street[0]" || field.name == "city_id") {
                        next= "0";
                        jQuery('[name="'+ field.name +'"]').css({"border-color": "red", 
             "border-width":"1px", 
             "border-style":"solid"});
                        return
                      }
                    }

                  });
                  }
                  
                  if(next=="1"){
                      jQuery("#checkout-step-shipping_method").show();
                      jQuery("#idchange1").show();
                      // jQuery(".checkout-shipping-method").find( ".step-title:first" ).switchClass( "step-title", "step-title-new");
                      
                      jQuery("#checkout-step-shipping").hide();
                      

                    }
                  });
                 jQuery("#shippingnext").click(function(){
                 	var next1="1";
                  jQuery("#slotSelect").css({"border-style":"none"});
                  jQuery("#dateForSlot").css({"border-style":"none"});
                  jQuery('input').css({"border-style":"none"});
                  var dateForSlot= jQuery("#dateForSlot").val();
                  var slotSelect= jQuery("#slotSelect").val();
                  if (dateForSlot=="") {
                    next1= "0";
                    jQuery("#dateForSlot").css({"border-color": "red","border-width":"1px","border-style":"solid"});
                  }
                  if (slotSelect=="0") {
                    next1= "0";
                    jQuery("#slotSelect").css({"border-color": "red","border-width":"1px","border-style":"solid"});
                  }
                  if(next1=="1"){
                      jQuery("#checkout-step-shipping_method").hide();
                      jQuery("#idchange2").show();
                        if(jQuery('input#s_method_freeshipping_freeshipping').prop("checked") == true){
                        }else{
                            jQuery('input#s_method_freeshipping_freeshipping').trigger('click');
                        }
                      // jQuery(".checkout-shipping-method").find( ".step-title:first" ).switchClass( "step-title", "step-title-new");
                      
                      jQuery("#checkout-step-payment").show();
                  }

                 });
                 jQuery("#paymentnext").click(function(){
                  jQuery("#checkout-step-payment").hide();
                  jQuery("#idchange3").show();

                 });
            	}

            	function hideshow(resginid){
            		var id= jQuery("#dateForSlot").val();
            		//alert("--My-"+id);
            		 jQuery.ajax({
              	 		url: jQuery("#baseurl").val()+"timeslots/index/slotsort",
              	 		type: 'POST',
              	 		data: {
              	 			// cityidget: cityidget,
              	 			datepic: id,
              	 			resginid: resginid,
              	 		},
              	 		success: function(response) {
              	 			if (response) {
              	 				//alert(response);
              	 				jQuery("#customslots").html(response);
              	 				jQuery('#slotSelect').hide();
              	 				jQuery("#customslots").show();
              	 			}else{
                                jQuery("#slotSelect option").prop("disabled", true);
                              }
                          }
                      });
            	}

              function slotsetbycity(){
                jQuery("#checkout-review-table").click(function(){

                	jQuery("#c-loder").show();
                var pid='';
                setTimeout(function(){
                jQuery.ajax({
                            url: jQuery("#baseurl").val()+"deliveryarea/index/view",
                            type: 'POST',
                            data: {
                              pid: pid,
                            },
                            success: function(response) {
                              jQuery("#c-loder").hide();
                              if (response=="100") {
                                
                                  setTimeout(function(){
                                  jQuery(".special-offer-block").find(".first1").removeClass("your_offer1");
                                jQuery(".special-offer-block").find(".first2").addClass("your_offer2");
                                jQuery(".alert-success").show();
                               jQuery(".alert-success").removeClass("alert");
                                },10);
                                //alert(response);
                                
                              }
                              else if(response=="150"){
                                
                                  setTimeout(function(){
                                // alert(response);
                                jQuery(".special-offer-block").find(".first1").removeClass("your_offer1");
                                jQuery(".special-offer-block").find(".first2").removeClass("your_offer2");
                                jQuery(".alert-success").hide();
                             
                                },10);
                              }else{
                                // alert(response);

                                  setTimeout(function(){
                                    jQuery(".special-offer-block").find(".first2").addClass("your_offer2");
                                    jQuery(".special-offer-block").find(".first1").addClass("your_offer1");
                                    jQuery(".alert-success").show();
                                jQuery(".alert-success").addClass("alert");

                                },10);
                                  
                              }

                              
                          }
                        });
              },5000);
                });

                jQuery('div[name="shippingAddress.country_id"]').hide();
                       jQuery('div[name="shippingAddress.city"]').val('');
                       var cityid1= jQuery('select[name="region_id"]').val();
                      jQuery.ajax({
                            url: jQuery("#baseurl").val()+"eacore/index/countryaction",
                            type: 'POST',
                            data: {
                              cityid: cityid1,
                            },
                            success: function(response) {
                             if (response!='') {
                                jQuery('div[name="customCheckoutForm.city_id"]').show();
                                jQuery('div[name="customCheckoutForm.city_id"]').insertAfter('div[name="shippingAddress.region_id"]');
                                jQuery('div[name="shippingAddress.city"]').hide();
                              jQuery('select[name="city_id"]').html(response);
                              var selectedText = jQuery('select[name="city_id"] option').html();
                              
                              jQuery('input[name="city"]').val(jQuery.trim(selectedText));
                              jQuery('input[name="city"]').change();
                              }else{
                                jQuery('div[name="shippingAddress.city"]').show();
                                jQuery('div[name="shippingAddress.city"]').val('');
                                jQuery('div[name="customCheckoutForm.city_id"]').hide();
                              }
                          }
                        });
                      jQuery('select[name="region_id"]').change(function(){
                        jQuery('div[name="shippingAddress.city"]').hide();
                           var cityid = jQuery(this).val();
                           jQuery.ajax({
                            url: jQuery("#baseurl").val()+"eacore/index/countryaction",
                            type: 'POST',
                            data: {
                              cityid: cityid,
                            },
                            success: function(response) {
                              if (response!='') {
                                jQuery('div[name="customCheckoutForm.city_id"]').show();
                                jQuery('div[name="customCheckoutForm.city_id"]').insertAfter('div[name="shippingAddress.region_id"]');
                                jQuery('div[name="shippingAddress.city"]').hide();
                              jQuery('select[name="city_id"]').html(response);
                              var selectedText = jQuery('select[name="city_id"] option').html();
                              
                              jQuery('input[name="city"]').val(jQuery.trim(selectedText));
                              jQuery('input[name="city"]').change();
                              }else{
                                jQuery('div[name="shippingAddress.city"]').show();
                                jQuery('div[name="customCheckoutForm.city_id"]').hide();
                              }
                              
                          }
                        });
                       });
                      jQuery('select[name="city_id"]').change(function(){
                        jQuery('input[name="city"]').val(jQuery.trim(jQuery(this).val()));
                        jQuery('input[name="city"]').change();
                      });

                     
              } 
               function shortslot(){
               	jQuery("#checkout-review-table").click(function(){
               		jQuery('input#s_method_flatrate_flatrate').trigger('click');
               		jQuery('input#s_method_freeshipping_freeshipping').trigger('click');
               	});
               	
               		var resginid;
               		jQuery('#dateForSlot').blur(function(){
               			// setTimeout(function(){
               			if (jQuery(".shipping-address-item")[0]){
               				var lines = jQuery(".selected-item").text();
               				if(lines.indexOf('Abu Dhabi') != -1){
               					var resginid = "609";
               				}
               				if(lines.indexOf('Dubai') != -1){
               					var resginid = "610";
               				}
               				if(lines.indexOf('Sharjah') != -1){
               					var resginid = "611";
               				}
               			}else{
               			var resginid = jQuery('select[name="region_id"]').val();
               			}
               			
               			var datepic =jQuery(this).val();
               			
              	 	//##city disabled 
              	 	//var cityidget = jQuery('input[name="city"]').val();
              	 	setTimeout(function(){
              	 		hideshow(resginid);
               				},500);
              	 	
              	 // },500);
               		jQuery('#customslots').change(function(){
               		 var slotid=jQuery(this).val();
               		 var slotval= jQuery('#slotSelect').find('[slot-id='+slotid+']').val();
               		 jQuery('#slotSelect').val(slotval);
               		 jQuery('#slotSelect').trigger("change");
               		});
               		});
               		
              	}
              setTimeout(function(){
              	
              	slotsetbycity();
              	accordium();
                }, 5000);
               
              setTimeout(function(){
                 jQuery("#co-place-order-area").prepend('<div class="gift-message field choice col-mp mp-12"><input type="checkbox" name="take-back-box" id="take-back-box"><label for="take-back-box"><span>Take back Barakat Boxes from previous order</span></label></div>');
                 jQuery('<select id="customslots" style="display:none;"></select>').insertAfter("#slotSelect");
                 // jQuery("#customslots").hide();
                 
                  jQuery(".action-show-popup").click(function(){
                  jQuery('input[name="telephone"]').val(jQuery('#telephone1').val());
                  //alert("="+jQuery('input[name="telephone"]').val());

                });
              	slotsetbycity();
              	accordium();
                }, 8000);
              setTimeout(function(){
                  addchange();
              	slotsetbycity();
              	accordium();
                }, 9000);
              setTimeout(function(){
                  slotsetbycity();
                  accordium();
                  shortslot()
                }, 10000);


                setTimeout(function(){
                  slotsetbycity();
                }, 6000);
              });
          });
        </script>
      </div>
      <style type="text/css">
        textarea#comments {
    width: 100%;
    height: 100px;
}
        .nextfordiv {
    float: right;
    margin: 5px;
}
      	.checkout-index-index .step-title {
    background: #2b2170;
    border: 1px solid;
    font-size: 36px;
    letter-spacing: .4px;
    margin: 0;
     color: #fff !important; 
    font-weight: 700;
}
.billing-address-same-as-shipping-block {
    display: none;
}
#checkout-shipping-method-load{
  display: none;
}
.checkout-index-index .step-title-new {
    background: #fff;
    font-size: 20px;
    letter-spacing: .4px;
    margin: 0;
    color: #222 !important;
    font-weight: 700;
}
.changecart {
    float: right;
    background-color: #55ab5f !important;
    border-color: #55ab5f !important;
    box-shadow: none !important;
    color: #FFFFFF !important;
}
.actions-toolbar .place-next {
    float: right;
    margin: 5px;
    border-radius: 5px;
}
button#shippingnext {
    float: right;
    margin: 5px;
}
.modal-inner-wrap {
    padding: 0px !important;
}
header.modal-header {
    padding: 5px 15px !important;
}
.modal-popup._inner-scroll .fieldset > .field {
    margin: 0 0 7px;
}
.modal-popup._inner-scroll {
    overflow-y: visible;
    top: -95px;
}
.modal-popup._inner-scroll .modal-content {
    padding: 10px 20px !important;
}
footer.modal-footer {
    margin: 0 !important;
    padding: 10px 20px !important;
}
.modal-inner-wrap {
    margin-left: 0 !important;
    left: 30% !important;
    top: 60px !important;
}

div[name="customCheckoutForm.city_id"] {
    width: 50%;
    float: left;
}
      </style>
